Last import status
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/lastBackgroundTask \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/lastBackgroundTask"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/lastBackgroundTask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asyncRequest": {
"asyncResponse": {
"acceptedSegmentsCount": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorDesc": "<string>",
"errorDetails": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
]
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"parent": "<unknown>",
"project": {
"name": "<string>",
"uid": "<string>"
}
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateFinished": "2023-11-07T05:31:56Z",
"finishedDataText": "<string>",
"lastTaskError": "<string>",
"lastTaskErrorHtml": "<string>",
"lastTaskOk": "<string>",
"lastTaskString": "<string>",
"metadata": {
"languages": [
"<string>"
],
"metadataByLanguage": {},
"termsCount": 123
},
"status": "<string>"
}Term Base
Last import status
GET
/
api2
/
v1
/
termBases
/
{termBaseUid}
/
lastBackgroundTask
Last import status
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Term base UID
Was this page helpful?
⌘I